## imMail Zimlet - Classic UI
This is a Zimlet project for Classic UI integration available for Zimbra 8.x and above.

### Zimbra Development Guide
For more information about Zimlet for Classic UI development, see the documentation here (https://wiki.zimbra.com/wiki/Zimlet_Developers_Guide:Developing_Zimlets).

### Zimlet Installation
At the end of this step, the Zimlet imMail must be installed, and a Tab (imMail) should be available on Zimbra Classic UI. ( If you have configured the SSO Integration and the user logged in the Zimbra exists on imMail as well, the imMail dashboard will be shown as soon as you click on the tab. )

1. Push `ca_immail.zip` file to the Zimbra server:

2. As a Zimbra user run the following command to install the Modern Interface’s Zimlet:

```
zmzimletctl deploy ca_immail.zip
```

3. Grant permission to imMail domains if they are different from the Zimbra domain:

```
zmprov mc default +zimbraProxyAllowedDomains *.immail.ca
```

4. To configure the imMail URLs in the Zimlet, create a config template file replacing `iframeURL` and `apiURL` properties at least by your imMail installation URLs if necessary:

```
echo '<?xml version="1.0" encoding="UTF-8"?>
<zimletConfig name="ca_immail" version="0.10.0">
  <global>
    <property name="iframeURL">https://web.immail.ca</property>
    <property name="iframePath">/v1</property>
    <property name="apiURL">https://api.immail.ca</property>
    <property name="appName">imMail</property>
    <property name="appDescription">Instant Messenger for Companies</property>
  </global>
</zimletConfig>
' > /tmp/immail_config_template.xml
```

5. Import the new configuration file by the running following command:

```
zmzimletctl configure /tmp/immail_config_template.xml
```

6. You might need to clear the Zimlet cache to see the new configuration applied:

```
zmprov flushCache zimlet
```